.Xsession-error log full of errors

Hi there,

Don’t know if the topic is in the correct section or it’s something more related to the Kernel.

I recently notice I had a massive .xsession-error file, which I’ve been forced to delete as it was saturating my SSD.
I just discover what the .xsession-error file is for, but I have no idea how to deal with the error reported.

Any help with it?

Running on Kernel: 5.8.16-2-MANJARO

I don’t know if something else is needed. Below the content of the file for today; I removed some duplicate error, like the one from Firefox.

Thanks in advance for the help

/usr/bin/iceauth:  creating new authority file /run/user/1000/ICEauthority                                                                                                          [2091/8878]
gpg-agent[909]: WARNING: "--write-env-file" is an obsolete option - it has no effect                                                                                                           
gpg-agent: a gpg-agent is already running - not starting a new one                                                                                                                             
                                                                                                                                                                                               
(xfce4-session:856): xfce4-session-WARNING **: 11:55:32.460: gpg-agent returned no PID in the variables                                                                                        
                                                                                                                                                                                               
(xfce4-session:856): xfce4-session-WARNING **: 11:55:32.464: xfsm_manager_load_session: Something wrong with /home/croxarens/.cache/sessions/xfce4-session-tronix:0, Does it exist? Permissions
 issue?                                                                                                                                                                                        
                                                                                                                                                                                               
(wrapper-2.0:933): libnotify-WARNING **: 11:55:33.109: Failed to connect to proxy                                                                                                              
conky: desktop window (299) is root window                                                                                                                                                     
conky: window type - normal                                                                                                                                                                    
conky: drawing to created window (0x2400002)                                                                                                                                                   
conky: drawing to double buffer
conky: forked to background, pid is 989                                                        
                                                                                               
** (xfce4-clipman:950): WARNING **: 11:55:33.229: Unable to register GApplication: An object is already exported for the interface org.gtk.Application at /org/xfce/clipman
                                                                                                                                                                                               
(xfce4-clipman:950): GLib-GIO-CRITICAL **: 11:55:33.229: g_application_get_is_remote: assertion 'application->priv->is_registered' failed
                                               
(xfce4-clipman:950): GLib-WARNING **: 11:55:33.229: g_set_application_name() called multiple times
                                               
                                                                                                                                                                                               
(wrapper-2.0:930): Gtk-WARNING **: 11:55:33.634: Negative content width -3 (allocation 1, extents 2x2) while allocating gadget (node button, owner GtkToggleButton)
                                                                                               
(wrapper-2.0:933): Gtk-WARNING **: 11:55:33.651: Negative content width -3 (allocation 1, extents 2x2) while allocating gadget (node button, owner PulseaudioButton)
blueman-applet 11.55.33 WARNING  PluginManager:147 __load_plugin: Not loading DhcpClient because its conflict has higher priority
blueman-applet 11.55.33 WARNING  PluginManager:147 __load_plugin: Not loading PPPSupport because its conflict has higher priority
                                                                                               
(blueman-tray:1101): Gdk-CRITICAL **: 11:55:34.176: gdk_window_thaw_toplevel_updates: assertion 'window->update_and_descendants_freeze_count > 0' failed
xfsettingsd: Another instance took over. Leaving...
xfsettingsd: Another instance took over. Leaving...
xfsettingsd: Another instance took over. Leaving...

(xfce4-terminal:1977): VTE-WARNING **: 11:57:54.862: (../vte/src/vtepty.cc:813):void vte_pty_spawn_with_fds_async(VtePty*, const char*, const char* const*, const char* const*, const int*, int
, const int*, int, GSpawnFlags, GSpawnChildSetupFunc, gpointer, GDestroyNotify, int, GCancellable*, GAsyncReadyCallback, gpointer): runtime check failed: ((spawn_flags & forbidden_spawn_flags
()) == 0)
Telegram-Message: 11:58:01.945: You can disable tray icon counter with TDESKTOP_DISABLE_TRAY_COUNTER and make it look better if it is monochrome.
error: : cannot open
error: : cannot open
error: : cannot open
  OpenType support missing for "DAOpenSansSemibold", script 19
  OpenType support missing for "DAOpenSansSemibold", script 12

(/usr/lib/firefox/firefox:3882): dconf-WARNING **: 12:07:29.128: Unable to open /var/lib/flatpak/exports/share/dconf/profile/user: Permission denied
"No such interface “org.freedesktop.DBus.Properties” on object at path /org/freedesktop/NetworkManager/ActiveConnection/18"
ThunarThumbnailer: got 0 handle (Queue)
ThunarThumbnailer: got 0 handle (Error or Ready)
ThunarThumbnailer: got 0 handle (Finished)
[000055ef9f49a660] main libvlc: Running vlc with the default interface. Use 'cvlc' to use vlc without interface.
[00007f0014ade340] chain filter error: Too high level of recursion (3)
[00007f00140270e0] main filter error: Failed to create video converter
[00007f1f3c080d00] main video output error: Failed to create video converter                                                                                                                   
[00007f1f3c080d00] main video output error: Failed to compensate for the format changes, removing all filters                                           
[00007f1f51baab70] avcodec decoder: Using NVIDIA VDPAU Driver Shared Library  430.64  Sun Oct 27 11:05:48 UTC 2019 for hardware decoding                                                       
Unflushed glGetGraphicsResetStatus: 0x92bb                                                                                                                                                     
QTextCursor::setPosition: Position '10' out of range                                                                                                                                           
QTextCursor::setPosition: Position '10' out of range                                                                                                                                           
                                                                                                                                                                                               
(wrapper-2.0:930): Gtk-WARNING **: 15:47:49.869: Could not load a pixbuf from icon theme.                                                                                                      
This may indicate that pixbuf loaders or the mime database could not be found.                                                                                                                 
[Child 2740, MediaDecoderStateMachine #4] WARNING: Decoder=7f9e2fed9c00 Decode error: NS_ERROR_DOM_MEDIA_FATAL_ERR (0x806e0005) - RefPtr<MediaSourceTrackDemuxer::SamplesPromise> mozilla::Medi
aSourceTrackDemuxer::DoGetSamples(int32_t): manager is detached.: file /build/firefox/src/firefox-82.0/dom/media/MediaDecoderStateMachine.cpp, line 3471
"No such interface “org.freedesktop.DBus.Properties” on object at path /org/freedesktop/NetworkManager/ActiveConnection/21"
Unflushed glGetGraphicsResetStatus: 0x92bb

(polkit-gnome-authentication-agent-1:955): polkit-gnome-1-WARNING **: 19:27:02.009: No icon for themed icon with name 'kauth-example'

(xfce4-panel:919): Gtk-CRITICAL **: 19:29:56.116: gtk_widget_grab_default: assertion 'gtk_widget_get_can_default (widget)' failed

(wrapper-2.0:44715): Gtk-WARNING **: 19:30:32.379: Negative content width -17 (allocation 1, extents 9x9) while allocating gadget (node entry, owner GtkEntry)

(wrapper-2.0:44841): Gtk-WARNING **: 19:31:40.351: Negative content width -3 (allocation 1, extents 2x2) while allocating gadget (node button, owner GtkButton)

(wrapper-2.0:44859): GLib-GIO-CRITICAL **: 19:31:55.109: g_file_new_for_path: assertion 'path != NULL' failed

(wrapper-2.0:44859): GLib-GIO-CRITICAL **: 19:31:55.109: g_file_monitor_file: assertion 'G_IS_FILE (file)' failed

(wrapper-2.0:44859): GLib-GObject-WARNING **: 19:31:55.109: invalid (NULL) pointer instance

(wrapper-2.0:44859): GLib-GObject-CRITICAL **: 19:31:55.109: g_signal_connect_data: assertion 'G_TYPE_CHECK_INSTANCE (instance)' failed

(wrapper-2.0:44859): Gtk-WARNING **: 19:31:55.109: Attempting to add a widget with type GtkToggleButton to a container of type XfcePanelPlugin, but the widget is already inside a container of type XfcePanelPlugin, please remove the widget from its existing container first.

(wrapper-2.0:44859): Gtk-WARNING **: 19:31:55.154: Negative content width -3 (allocation 1, extents 2x2) while allocating gadget (node button, owner GtkToggleButton)

(wrapper-1.0:44872): Gtk-CRITICAL **: 19:32:11.897: IA__gtk_main_quit: assertion 'main_loops != NULL' failed

(wrapper-2.0:44899): Gtk-WARNING **: 19:32:24.094: Negative content width -19 (allocation 1, extents 10x10) while allocating gadget (node button, owner GtkButton)

(xfce4-panel:919): Gtk-CRITICAL **: 19:33:07.419: gtk_icon_theme_load_icon: assertion 'icon_name != NULL' failed

(xfce4-notifyd:969): Gtk-WARNING **: 19:42:53.865: Theme parsing error: gtk.css:10:17: Not using units is deprecated. Assuming 'px'.

(xfce4-panel:919): Gtk-CRITICAL **: 19:43:33.220: gtk_widget_grab_default: assertion 'gtk_widget_get_can_default (widget)' failed

(menulibre:46022): Gtk-WARNING **: 19:44:35.489: gtk_menu_attach_to_widget(): menu already attached to GtkMenuButton

(xfce4-panel:919): Gtk-CRITICAL **: 19:45:06.488: gtk_widget_grab_default: assertion 'gtk_widget_get_can_default (widget)' failed

(xfce4-panel:919): Gtk-CRITICAL **: 19:47:21.657: gtk_widget_grab_default: assertion 'gtk_widget_get_can_default (widget)' failed
  OpenType support missing for "DAOpenSansSemibold", script 11
  OpenType support missing for "DAOpenSansSemibold", script 16
QCoreApplication::postEvent: Unexpected null receiver

A quick look seems like there is an issue with your panel and some items on it.
And also your theme seems to use some deprecated options.

So I would start by killing/recreating a relatively ‘default’ panel, and check/change/update your theming.

Thanks for the suggestion. Will will look into it and update it asap.

Edit: Quote the OP Message instead of the cscs’s :slight_smile:

1 Like

I guess you fix it. Thanks for your work! After the latest updates, the .xsession-error is empty. :slight_smile: